//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void Print()
   { Print(""); }
public void Print(ConsoleColor? color)
   { Print(color,""); }

//--------------------------------------------------------------------------------------------------

public void Print(object obj)
   { Print(false,obj); }
public void Print(string str)
   { Print(false,str); }
public void Print(string format,params object[] parameters)
   { Print(false,format,parameters); }

public void Print(ConsoleColor? color,object obj)
   { Print(false,color,obj); }
public void Print(ConsoleColor? color,string str)
   { Print(false,color,str); }
public void Print(ConsoleColor? color,string format,params object[] parameters)
   { Print(false,color,format,parameters); }

public void PrintDefault(object obj)
   { PrintDefault(false,obj); }
public void PrintDefault(string str)
   { PrintDefault(false,str); }
public void PrintDefault(string format,params object[] parameters)
   { PrintDefault(false,format,parameters); }

//--------------------------------------------------------------------------------------------------

public void PrintIntensive(object obj)
   { PrintIntensive(false,obj); }
public void PrintIntensive(string str)
   { PrintIntensive(false,str); }
public void PrintIntensive(string format,params object[] parameters)
   { PrintIntensive(false,format,parameters); }

public void PrintFaint(object obj)
   { PrintFaint(false,obj); }
public void PrintFaint(string str)
   { PrintFaint(false,str); }
public void PrintFaint(string format,params object[] parameters)
   { PrintFaint(false,format,parameters); }

public void PrintExpressive(object obj)
   { PrintExpressive(false,obj); }
public void PrintExpressive(string str)
   { PrintExpressive(false,str); }
public void PrintExpressive(string format,params object[] parameters)
   { PrintExpressive(false,format,parameters); }

public void PrintImportant(object obj)
   { PrintImportant(false,obj); }
public void PrintImportant(string str)
   { PrintImportant(false,str); }
public void PrintImportant(string format,params object[] parameters)
   { PrintImportant(false,format,parameters); }

public void PrintExclamation(object obj)
   { PrintExclamation(false,obj); }
public void PrintExclamation(string str)
   { PrintExclamation(false,str); }
public void PrintExclamation(string format,params object[] parameters)
   { PrintExclamation(false,format,parameters); }

public void PrintInformation(object obj)
   { PrintInformation(false,obj); }
public void PrintInformation(string str)
   { PrintInformation(false,str); }
public void PrintInformation(string format,params object[] parameters)
   { PrintInformation(false,format,parameters); }

public void PrintWarning(object obj)
   { PrintWarning(false,obj); }
public void PrintWarning(string str)
   { PrintWarning(false,str); }
public void PrintWarning(string format,params object[] parameters)
   { PrintWarning(false,format,parameters); }

//--------------------------------------------------------------------------------------------------

public void PrintError(string str)
   { PrintError(false,str); }
public void PrintError(string format,params object[] parameters)
   { PrintError(false,format,parameters); }
public void PrintError(Exception e)
   { PrintError(false,e); }

public void PrintSuccess(string str)
   { PrintSuccess(false,str); }
public void PrintSuccess(string format,params object[] parameters)
   { PrintSuccess(false,format,parameters); }

//--------------------------------------------------------------------------------------------------

public void PrintOperation(string operation)
   { PrintOperation(false,operation); }
public void PrintOperation(string operationFmt,params object[] parameters)
   { PrintOperation(false,operationFmt,parameters); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
